# use the official gcc image, based on debian
# can use verions as well, like gcc:5.2
# see https://hub.docker.com/_/gcc/

variables:
  BUILD_SCRIPT_DEPENDENCIES:
    "build-essential
    git
    cmake
    libgtest-dev
    libpthread-stubs0-dev
    "

image: gcc

build:
  stage: build
  # instead of calling g++ directly you can also use some build toolkit like make
  # install the necessary build tools when needed
  # before_script:
    # - apt update && apt -y install make autoconf
  before_script:
    - apt-get update -qq && apt-get install -qq -y software-properties-common
    - apt-get install -qq -y $BUILD_SCRIPT_DEPENDENCIES
    - WORK_DIR=$(pwd)
    - cd /usr/src/gtest
    - cmake CMakeLists.txt
    - make
    - cp *.a /usr/lib
    - cd ${WORK_DIR}
  script:
    - bash build_theseus.sh build
    - ./bin/tests/tests

  # artifacts:
  # paths:
    # - build/
  # depending on your build setup it's most likely a good idea to cache outputs to reduce the build time
  # cache:
    # paths:
      # - "*.o"

# run tests using the binary built before
# test:
  # stage: test
  # script:
